nix3-hash-to-sri(1)

    Warning
    This program is experimental (@docroot@/development/experimental-features.md#xp-feature-nix-command) and its interface is subject to change.

Name

nix hash to-sri - convert a hash to SRI representation (deprecated, use nix hash convert instead)

Synopsis

nix hash to-sri [option…] strings…

Options

•   --type (#opt-type) hash-algo

    Hash algorithm (md5, sha1, sha256, or sha512). Can be omitted for SRI hashes.

  Logging-related options

•   --debug (#opt-debug)

    Set the logging verbosity level to ‘debug’.

•   --log-format (#opt-log-format) format

    Set the format of log output; one of raw, internal-json, bar or bar-with-logs.

•   --print-build-logs (#opt-print-build-logs) / -L

    Print full build logs on standard error.

•   --quiet (#opt-quiet)

    Decrease the logging verbosity level.

•   --verbose (#opt-verbose) / -v

    Increase the logging verbosity level.

  Miscellaneous global options

•   --help (#opt-help)

    Show usage information.

•   --offline (#opt-offline)

    Disable substituters and consider all previously downloaded files up-to-date.

•   --option (#opt-option) name value

    Set the Nix configuration setting name to value (overriding nix.conf).

•   --refresh (#opt-refresh)

    Consider all previously downloaded files out-of-date.

•   --version (#opt-version)

    Show version information.

    Note

    See man nix.conf (@docroot@/command-ref/conf-file.md#command-line-flags) for overriding configuration settings with command line flags.